/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdlib.h>
#include <string.h>

#include "config.h"


//////////////////////////////////////////////////////////////////////////////


NascanConfig::NascanConfig(void)
{
  // Default values
  adapter = 0; // Auto
  ignoreNoStream = false;
  useNetworkName = true;
  outputType = OT_SOURCES;
  
  tuningTimeout = 2000;
  initialTuningTimeout = 10000;
  sdtTimeout = 10000;
  pmtTimeout = 10000;
  nitTimeout = 10000;
}


//----------------------------------------------------------------------------

bool NascanConfig::SetupParse(const char* Name, const char* Value)
{
  if      (!strcasecmp(Name, "adapter"))        adapter        = atoi(Value);
  else if (!strcasecmp(Name, "ignoreNoStream")) ignoreNoStream = atoi(Value);
  else if (!strcasecmp(Name, "useNetworkName")) useNetworkName = atoi(Value);
  else if (!strcasecmp(Name, "outputType"))     outputType     = atoi(Value);
  else if (!strcasecmp(Name, "tuningTimeout"))  tuningTimeout  = atoi(Value);
  else if (!strcasecmp(Name, "initialTuningTimeout")) initialTuningTimeout = atoi(Value);
  else if (!strcasecmp(Name, "sdtTimeout")) sdtTimeout = atoi(Value);
  else if (!strcasecmp(Name, "pmtTimeout")) pmtTimeout = atoi(Value);
  else if (!strcasecmp(Name, "nitTimeout")) nitTimeout = atoi(Value);
  else
    return false;
     
  return true;
}


//////////////////////////////////////////////////////////////////////////////


