/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <vdr/tools.h>

#include "configfile.h"
#include "tools.h"


//////////////////////////////////////////////////////////////////////////////


bool ConfigFile::Load(const char* dir, const char* fileName)
{
  char* fn = NULL;
  FILE* file = NULL;
  
  asprintf(&fn, "%s/%s", dir, fileName);
  
  file = fopen(fn, "r");
  free(fn);
  
  if (file == NULL) 
    return false;

  char* s;
  int line = 0;
  cReadLine ReadLine;
  bool result = true;
  
  while ((s = ReadLine.Read(file)) != NULL) 
  {
    line++;
    char *p = strchr(s, '#');
    if (p) *p = 0;
    stripspace(s);
    if (!isempty(s)) 
    {
      if (!Parse(s))    
      {
        dprint(L_ERR, "ERROR: error in %s, line %d", fileName, line); 
        result = false;
        break;
      }
    }
  }
  fclose(file);
  
  return result;
}


//////////////////////////////////////////////////////////////////////////////


