/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __NASCAN_TOOLS_H
#define __NASCAN_TOOLS_H

#include <stdint.h>
#include <stdio.h>

// Disable this to remove debug messages
#define NASCAN_DEBUG


#ifdef NASCAN_DEBUG

void SetLogType(uint8_t type);

void dprint(uint8_t type, const char* msg, ...);

#else

#define dprint(type, msg, args...)
#define SetLogType(x)

#endif // NASCAN_DEBUG

// Log Types 
#define L_NONE 0x00
#define L_MSG  0x01
#define L_ERR  0x02
#define L_DBG  0x04
#define L_DBGV 0x08
#define L_PAT  0x10
#define L_PMT  0x20
#define L_NIT  0x40
#define L_SDT  0x80
#define L_ALL  0xFF
  

#endif //__NASCAN_TOOLS_H
